How can I help you? Start Chat

US Phone: 1-866-488-6691
International Phone: +44-2036087492

  • E-Mail
  • Facebook
  • LinkedIn
  • Twitter

Check Point Advisories

MIT Kerberos kadmind RPC Library Unix Authentication Buffer Overflow (CVE-2007-2443)

Check Point Reference: CPAI-2007-078
Date Published: 1 Jul 2007
Severity: Critical
Last Updated: 13 Jan 2016
Source:
Industry Reference:CVE-2007-2443
Protection Provided by:

Security Gateway
R80, R77, R76, R75, R71, R70

Who is Vulnerable?
Vulnerability Description Kerberos is a protocol suite that provides authenticated communication between two points on a network.The Kerberos V5 administration server (kadmind) utilizes the encrypted SUN-RPC protocol to communicate with its remote clients.A vulnerability has been reported in the Kerberos Unix authentication library.The vulnerability is due to an Integer signedness error in the Kerberos Administration Server (kadmind) within the "gssrpc__svcauth_unix()" function in the RPC library, that fails to properly handle malformed RPC requests.A remote attack may exploit this issue to execute arbitrary code on an affected system.

Protection Overview

This protection will detect and block malformed RPC requests.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75 / R71 / R70

  1. In the IPS tab, click Protections and find the MIT Kerberos kadmind RPC Library Unix Authentication Buffer Overflow protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  SUN-RPC Enforcement Protection.
Attack Information:  MIT Kerberos kadmind RPC Library Unix Authentication Buffer Overflow